<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.InvalidSarifException">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.DescriptionHandler">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.CodeInspectionReaderKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.ProblemsWriteResult">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.CodeInspectionReader int getNumberOfRuns()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.ProblemReaderException">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.CodeInspectionReader">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverterKt org.jetbrains.teamcity.qodana.model.Severity severity(com.jetbrains.qodana.sarif.model.Result)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.QodanaReportConverter.ConvertSarifOptions">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState java.lang.String getPath()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.CodeInspectionReader T sanityProblems(kotlin.jvm.functions.Function1&lt;? super kotlin.sequences.Sequence&lt;kotlin.Result&lt;org.jetbrains.teamcity.qodana.model.version3.Problem&gt;&gt;,? extends T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState java.lang.String getSourceLanguage()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverterKt boolean isTechDebt(com.jetbrains.qodana.sarif.model.Result.BaselineState)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.NullableHasher">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState java.util.List&lt;kotlin.Pair&lt;java.lang.String,java.lang.String&gt;&gt; getContextAfterLastProblem()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState java.lang.Integer getSnippetOffset()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.DescriptionHandlerKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.13135.103&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.QodanaReportConverter org.jetbrains.qodana.sarif.QodanaReportConverter.ConvertSarifResult convertSarifFirstRun(org.jetbrains.qodana.sarif.QodanaReportConverter.ConvertSarifOptions)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState java.lang.Integer getLastProblemInSnippetLineNumber()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.QodanaFile">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.CodeInspectionReader org.jetbrains.qodana.sarif.model.CoverageInformation getCoverageInformation()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter org.jetbrains.qodana.sarif.model.CoverageInformation extractCoverageInfo(com.jetbrains.qodana.sarif.model.Run)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.QodanaReportConverterKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.CodeInspectionReader org.jetbrains.qodana.sarif.model.Description getDescription()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.23726.103&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter org.jetbrains.teamcity.qodana.model.version3.Problem convertToProblem(com.jetbrains.qodana.sarif.model.Result, com.jetbrains.qodana.sarif.model.Run, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.QodanaDirectory">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState java.util.List&lt;org.jetbrains.teamcity.qodana.model.version3.HighlightedRegion&gt; getHighlightedRegions()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.CodeInspectionReader T promoProblems(kotlin.jvm.functions.Function1&lt;? super kotlin.sequences.Sequence&lt;kotlin.Result&lt;org.jetbrains.teamcity.qodana.model.version3.Problem&gt;&gt;,? extends T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.CodeInspectionReader T problems(kotlin.jvm.functions.Function1&lt;? super kotlin.sequences.Sequence&lt;kotlin.Result&lt;org.jetbrains.teamcity.qodana.model.version3.Problem&gt;&gt;,? extends T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.Validation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.QodanaReportConverter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.PathSerializer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.ProblemWriter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState org.jetbrains.qodana.sarif.SarifConverter.SnippetState copy(java.lang.String, java.lang.String, java.lang.String, java.lang.Integer, java.lang.Integer, java.lang.Integer, java.lang.String, java.util.List&lt;kotlin.Pair&lt;java.lang.String,java.lang.String&gt;&gt;, java.util.List&lt;kotlin.Pair&lt;java.lang.String,java.lang.String&gt;&gt;, java.util.List&lt;org.jetbrains.teamcity.qodana.model.version3.HighlightedRegion&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.QodanaReportConverter boolean copyDirectoryToOutput(org.jetbrains.qodana.sarif.QodanaDirectory, java.lang.String, java.util.Map&lt;java.lang.String,java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.13135.103&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState java.lang.String component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState java.lang.String component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState java.lang.String component3()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.QodanaFile.QodanaConfigJson">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.198&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState java.lang.String component7()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.ProblemWriterKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.TextSanitizer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverterKt java.util.List&lt;org.jetbrains.teamcity.qodana.model.version3.Category&gt; constructFullPath(com.jetbrains.qodana.sarif.model.ReportingDescriptor, com.jetbrains.qodana.sarif.model.Run)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.23726.103&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState MINIMUM_SNIPPET_SIZE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.QodanaReportConverter.ConvertSarifResult">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverterKt org.jetbrains.teamcity.qodana.model.ProblemType problemType(com.jetbrains.qodana.sarif.model.Result)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.QodanaReportConverter.ConversionErrorCount">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState java.lang.Integer getFirstSnippetLineNumber()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState java.util.List&lt;kotlin.Pair&lt;java.lang.String,java.lang.String&gt;&gt; getContextBeforeFirstProblem()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState java.util.List&lt;org.jetbrains.teamcity.qodana.model.version3.HighlightedRegion&gt; component10()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverterKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.Report">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.CodeInspectionReader org.jetbrains.qodana.sarif.model.MetaInformation getMetaInformation(int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState boolean isComplete()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState java.lang.Integer component4()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState java.util.List&lt;kotlin.Pair&lt;java.lang.String,java.lang.String&gt;&gt; component9()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState java.util.List&lt;kotlin.Pair&lt;java.lang.String,java.lang.String&gt;&gt; component8()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState java.lang.Integer component6()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState java.lang.Integer component5()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState java.lang.String getLocationType()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.QodanaReportConverter boolean copyFileToOutput(org.jetbrains.qodana.sarif.QodanaFile, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter org.jetbrains.qodana.sarif.model.Description extractDescription(com.jetbrains.qodana.sarif.model.Run)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState java.lang.String getSnippetText()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter.SnippetState SnippetState(java.lang.String, java.lang.String, java.lang.String, java.lang.Integer, java.lang.Integer, java.lang.Integer, java.lang.String, java.util.List&lt;kotlin.Pair&lt;java.lang.String,java.lang.String&gt;&gt;, java.util.List&lt;kotlin.Pair&lt;java.lang.String,java.lang.String&gt;&gt;, java.util.List&lt;org.jetbrains.teamcity.qodana.model.version3.HighlightedRegion&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.qodana.sarif.SarifConverter org.jetbrains.qodana.sarif.model.MetaInformation extractMetaInformation(com.jetbrains.qodana.sarif.model.Run, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
</root>
